# Uses of Class
org.apache.qpid.proton.amqp.messaging.MessageAnnotations

Packages that use MessageAnnotations
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of MessageAnnotations in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type MessageAnnotations
Modifier and Type
Method
Description
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of MessageAnnotations in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return MessageAnnotations
Modifier and Type
Method
Description
`MessageAnnotations`
MessageAnnotationsType.`newInstance(Object described)`
`MessageAnnotations`
FastPathMessageAnnotationsType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type MessageAnnotations
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<MessageAnnotations>>`
FastPathMessageAnnotationsType.`getAllEncodings()`
`TypeEncoding<MessageAnnotations>`
FastPathMessageAnnotationsType.`getCanonicalEncoding()`
`TypeEncoding<MessageAnnotations>`
FastPathMessageAnnotationsType.`getEncoding(MessageAnnotations val)`
`Class<MessageAnnotations>`
FastPathMessageAnnotationsType.`getTypeClass()`
`Class<MessageAnnotations>`
MessageAnnotationsType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type MessageAnnotations
Modifier and Type
Method
Description
`TypeEncoding<MessageAnnotations>`
FastPathMessageAnnotationsType.`getEncoding(MessageAnnotations val)`
`protected Map`
MessageAnnotationsType.`wrap(MessageAnnotations val)`
`void`
FastPathMessageAnnotationsType.`write(MessageAnnotations val)`

## Uses of MessageAnnotations in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message that return MessageAnnotations
Modifier and Type
Method
Description
`MessageAnnotations`
Message.`getMessageAnnotations()`
Methods in org.apache.qpid.proton.message with parameters of type MessageAnnotations
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
`void`
Message.`setMessageAnnotations(MessageAnnotations messageAnnotations)`

## Uses of MessageAnnotations in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl that return MessageAnnotations
Modifier and Type
Method
Description
`MessageAnnotations`
MessageImpl.`getMessageAnnotations()`
Methods in org.apache.qpid.proton.message.impl with parameters of type MessageAnnotations
Modifier and Type
Method
Description
`void`
MessageImpl.`setMessageAnnotations(MessageAnnotations messageAnnotations)`
Constructors in org.apache.qpid.proton.message.impl with parameters of type MessageAnnotations
Modifier
Constructor
Description
``
`MessageImpl(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`
Application code should instead use `Message.Factory.create(Header, DeliveryAnnotations, MessageAnnotations, Properties, ApplicationProperties, Section, Footer)`